/// <reference types="node" />
import { ServerResponse, IncomingHttpHeaders, IncomingMessage } from 'http';
import SlackMessageAdapter from './adapter';
export declare function createHTTPHandler(adapter: SlackMessageAdapter): HTTPHandler;
/**
 * A RequestListener-compatible callback for creating response information from an incoming request.
 *
 * @remarks
 * See RequestListener in the `http` module.
 */
declare type HTTPHandler = (req: IncomingMessage & {
    body?: any;
    rawBody?: Buffer;
}, res: ServerResponse) => void;
/**
 * Headers required for verification.
 *
 * See: https://api.slack.com/docs/verifying-requests-from-slack
 */
export interface VerificationHeaders extends IncomingHttpHeaders {
    'x-slack-signature': string;
    'x-slack-request-timestamp': string;
}
export {};
//# sourceMappingURL=http-handler.d.ts.map