import { ErrorCode } from './errors';
export declare const errorCodes: {
    PROMISE_TIMEOUT: ErrorCode;
};
/**
 * Creates a timeout on a promise.
 *
 * @param ms - The timeout duration.
 * @param promise - The promise that will timeout.
 */
export declare function promiseTimeout<T>(ms: number, promise: T | Promise<T>): Promise<T>;
export declare function packageIdentifier(addons?: Record<string, string>): string;
/**
 * Tests a "thing" for being falsy. See: https://developer.mozilla.org/en-US/docs/Glossary/Falsy
 *
 * @param x - The "thing" whose falsy-ness to test.
 */
export declare function isFalsy(x: any): x is 0 | '' | null | undefined;
//# sourceMappingURL=util.d.ts.map